Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### shapeMode()
Examples |
    PShape bot = loadShape("bot1.svg");
    smooth();
    shapeMode(CENTER);
    shape(bot, 35, 35, 50, 50);
    shapeMode(CORNER);
    fill(102);
    shape(bot, 35, 35, 50, 50);
Description | Modifies the location from which shapes draw. The default mode is shapeMode(CORNER), which specifies the location to be the upper left corner of the shape and uses the third and fourth parameters of shape() to specify the width and height. The syntax shapeMode(CORNERS) uses the first and second parameters of shape() to set the location of one corner and uses the third and fourth parameters to set the opposite corner. The syntax shapeMode(CENTER) draws the shape from its center point and uses the third and forth parameters of shape() to specify the width and height. The parameter must be written in "ALL CAPS" because Processing is a case sensitive language.
Syntax |
    shapeMode(MODE)
Parameters |
MODE | Either CORNER, CORNERS, CENTER
Returns | None
Usage | Web & Application
Related | shape() rectMode()

Updated on August 30, 2010 04:29:39pm EDT